KDE 4.9 PyKDE API Reference

- KDE's Python API

# CollectionQuotaAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

Attribute that provides quota information for a collection.

This attribute class provides quota information (e.g. current fill value and maximum fill value) for an Akonadi collection.

Example:

     using namespace Akonadi;

     const Collection collection = collectionFetchJob->collections().first();
     if ( collection.hasAttribute<CollectionQuotaAttribute>() ) {
       const CollectionQuotaAttribute *attribute = collection.attribute<CollectionQuotaAttribute>();
       qDebug() << "current value" << attribute->currentValue();
     }

Author:
  Kevin Ottens <ervin@kde.org>

Since:
  4.4

## Methods

| __init__ (self)
| __init__ (self, long currentValue, long maxValue)
Akonadi.Attribute | clone (self)
long | currentValue (self)
| deserialize (self, QByteArray data)
long | maximumValue (self)
QByteArray | serialized (self)
| setCurrentValue (self, long value)
| setMaximumValue (self, long value)
QByteArray | type (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates a new collection quota attribute.

__init__ | ( | self, |
|  | long | currentValue,
|  | long | maxValue
| ) |  |  |

Creates a new collection quota attribute with initial values.

Parameters:

  | currentValue | The current quota value in bytes.
  | maxValue | The maximum quota value in bytes.

Akonadi.Attribute clone | ( |  | self ) |

long currentValue | ( |  | self ) |

Returns the current quota value in bytes.

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

long maximumValue | ( |  | self ) |

Returns the maximum quota value in bytes.

QByteArray serialized | ( |  | self ) |

setCurrentValue | ( | self, |
|  | long | value
| ) |  |  |

Sets the current quota value for the collection.

Parameters:

  | value | The current quota value in bytes.

setMaximumValue | ( | self, |
|  | long | value
| ) |  |  |

Sets the maximum quota value for the collection.

Parameters:

  | value | The maximum quota value in bytes.

QByteArray type | ( |  | self ) |